From b18c6c451b9f7491435fa1d3fa9231248bff662e Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Aug 10 2016 19:35:20 +0000
Subject: [PATCH 616/1001] Fix failing test, add on dropdown for feed nodes


---

diff --git a/hubs/static/client/app/components/Markup.jsx b/hubs/static/client/app/components/Markup.jsx
index 7342f58..e9b585e 100644
--- a/hubs/static/client/app/components/Markup.jsx
+++ b/hubs/static/client/app/components/Markup.jsx
@@ -1,6 +1,5 @@
 import React from 'react';
-import SaveNotificationButton from './SaveNotificationButton.jsx';
-
+import Dropdown from './Dropdown.jsx';
 import TimeAgo from 'react-timeago';
 
 
@@ -11,15 +10,6 @@ export default class Markup extends React.Component {
   render() {
     const timestamp = this.props.date_time ? (<TimeAgo date={this.props.match.date_time} />) : null;
 
-
-    let saveBtn;
-    if (!this.props.match.saved && this.props.saveUrl) {
-      saveBtn = (
-        <SaveNotificationButton
-          match={this.props.match}
-          saveUrl={this.props.saveUrl}
-        />);
-    }
     return (
       <div className="media-body">
         <h4
@@ -28,7 +18,10 @@ export default class Markup extends React.Component {
         >
         </h4>
         {timestamp}
-        {saveBtn}
+        <Dropdown
+          match={this.props.match}
+          saveUrl={this.props.saveUrl}
+        />
       </div>
     );
   }
